Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

List production orders

Scope: inventory:production-orders.read https://api.alladdin.com/api/v2/production-orders

Returns a paginated list of production orders in your account.
Results are cursor-paginated: the response includes a cursor value and a has_more boolean. Pass the cursor to the next request to fetch the following page.

Parameters

Query parameters

limit integer optional = 50

Maximum number of production orders to return per page. Defaults to 50, maximum 200.

cursor string optional

Pagination cursor returned by the previous response. Omit to start from the first page.

Request

python
import requests

url = "https://api.alladdin.com/api/v2/production-orders?limit=50&cursor=value"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "items": [
    {
      "id": "507f1f77bcf86cd799439011",
      "document_number": "string",
      "contact_id": "string",
      "contact_name": "string",
      "supplier_id": "string",
      "supplier_name": "string",
      "description": "string",
      "date": "2024-01-15",
      "due_date": "2024-02-15",
      "cost": "150.00",
      "currency": "EUR",
      "tags": [
        "string"
      ],
      "manufacturing_pipeline_id": "string",
      "manufactured_product": {
        "product_id": "string",
        "name": "string",
        "sku": "string",
        "kind": "string",
        "quantity": "10.00",
        "variant_ids": [
          "..."
        ]
      },
      "source_warehouse_id": "string",
      "destination_warehouse_id": "string",
      "is_built": false,
      "is_valued": false
    }
  ],
  "cursor": "string",
  "has_more": false
}

Success responses

200 List of production orders application/json object items[] object[] id string document_number string contact_id string | null contact_name string | null supplier_id string | null supplier_name string | null description string date string<date> | null

Issue date in ISO 8601 format

due_date string<date> | null

Due date in ISO 8601 format

cost string

Total cost as a decimal string

currency string tags[] string[] manufacturing_pipeline_id string | null manufactured_product object | null source_warehouse_id string | null destination_warehouse_id string | null is_built boolean is_valued boolean cursor string | null has_more boolean

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json

← PreviousUpdate a production order →

Next →Get a production order →